> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starting a Console Emulator

> Initiate a Console Emulator using Hyperbeam

## Request Access

This feature is currently in private beta. <a href="https://docs.google.com/forms/d/e/1FAIpQLSdsVFZ4cQ4Q2nHNRhwb6SvmJIekv7fuQVa27zWnk_r5F48B5w/viewform?usp=pp_url" target="_blank" rel="noopener noreferrer">Request access here.</a>

## Parameters

<ParamField body="type" type="string" default="''" required>
  The console type. nes, snes, n64, and ps1 are supported.
</ParamField>

<ParamField body="room_url" type="string" default="''" required>
  URL to a legal ROM file, which will be downloaded and loaded into the
  emulator.
</ParamField>

<ParamField body="auth" type="object" default="&#x22;auth&#x22;: {&#x22;type&#x22;: &#x22;token&#x22;}}">
  The authentication system for the cloud computer. See the “cloud computer
  authentication” section for more info.
</ParamField>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "session_id": "52f968cb-6739-4197-83d7-2305fe5d6f54",
    "embed_url": "https://vwdrccwgpv181powg61ggyvy.hyperbeam.com/Uvloy2c5QZeD1yMF_l1vVA?token=c8iw3SmQglOU0ugfLr3dWY2LalSKI_WOGUldEt8knbw",
    "admin_token": "51JOZEEcMp4trCwbpTS3jjQc0lSmeAZpPfxioDqe73U"
  }
  ```
</ResponseExample>

## Response

<ResponseField name="session_id" type="string">
  The ID of the cloud computer session
</ResponseField>

<ResponseField name="embed_url" type="string">
  A URL you can load into the [web client](/client-sdk/javascript) on your
  website
</ResponseField>

<ResponseField name="admin_token" type="string">
  A token that grants access to an exclusive subset of the client-side
  JavaScript SDK. Needed for setting permissions and programmatic navigation
</ResponseField>
